# Class CLN2ValidationErrors

java.lang.Object
com.io7m.calino.vanilla.internal.CLN2ValidationErrors

public final class CLN2ValidationErrors extends Object
A factory of errors.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLN2ValidationErrors(URI inSource, CLN2ValidationStrings inStrings)`
  A factory of errors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CLNValidationError`
  `error2DCompressedDataSizeMismatch(CLNSectionReadableType section, CLNImage2DDescription mipMap, long sizeReceived)`
  Construct an error.
  `CLNValidationError`
  `error2DExpectedSizeZ1(CLNSectionReadableImageInfoType section, int sizeZ)`
  Construct an error.
  `CLNValidationError`
  `error2DMipLevelDuplicate(CLNSectionReadableImage2DType section, int level)`
  Construct an error.
  `CLNValidationError`
  `error2DMipLevelGaps(CLNSectionReadableImage2DType section, int mipHighest)`
  Construct an error.
  `CLNValidationError`
  `error2DNoMipmaps(CLNSectionReadableImage2DType section)`
  Construct an error.
  `CLNValidationError`
  `error2DUncompressedDataCRC32Mismatch(CLNSectionReadableImage2DType section, CLNImage2DDescription mipMap, long crc32Received)`
  Construct an error.
  `CLNValidationError`
  `errorArrayCompressedDataSizeMismatch(CLNSectionReadableType section, CLNImageArrayDescription mipMap, long sizeReceived)`
  Construct an error.
  `CLNValidationError`
  `errorArrayLayerCount(CLNSectionReadableImageArrayType section, int sizeZ, int layerHighest)`
  Construct an error.
  `CLNValidationError`
  `errorArrayMipLayerGaps(CLNSectionReadableImageArrayType section, int level, int layerHighest, Set<Integer> receivedLayers)`
  Construct an error.
  `CLNValidationError`
  `errorArrayMipLevelGaps(CLNSectionReadableImageArrayType section, int mipHighest)`
  Construct an error.
  `CLNValidationError`
  `errorArrayMipNotUnique(CLNSectionReadableImageArrayType section, int level, int layer)`
  Construct an error.
  `CLNValidationError`
  `errorArrayNoMipmaps(CLNSectionReadableImageArrayType section)`
  Construct an error.
  `CLNValidationError`
  `errorArrayUncompressedDataCRC32Mismatch(CLNSectionReadableType section, CLNImageArrayDescription mipMap, long crc32Received)`
  Construct an error.
  `CLNValidationError`
  `errorCubeCompressedDataSizeMismatch(CLNSectionReadableImageCubeType section, CLNImageCubeDescription mipMap, long sizeReceived)`
  Construct an error.
  `CLNValidationError`
  `errorCubeExpectedSizeZ1(CLNSectionReadableImageInfoType section, int sizeZ)`
  Construct an error.
  `CLNValidationError`
  `errorCubeMipFaceMissing(CLNSectionReadableImageCubeType section, int level, CLNCubeFace face)`
  Construct an error.
  `CLNValidationError`
  `errorCubeMipLevelDuplicate(CLNSectionReadableImageCubeType section, int level)`
  Construct an error.
  `CLNValidationError`
  `errorCubeMipLevelGaps(CLNSectionReadableImageCubeType section, int level)`
  Construct an error.
  `CLNValidationError`
  `errorCubeNoMipmaps(CLNSectionReadableImageCubeType section)`
  Construct an error.
  `CLNValidationError`
  `errorCubeUncompressedDataCRC32Mismatch(CLNSectionReadableType section, CLNImageCubeDescription mipMap, long crc32Received)`
  Construct an error.
  `CLNValidationError`
  `errorImageDataNotPresent()`
  Construct an error.
  `CLNValidationError`
  `errorImageInfoNotPresent()`
  Construct an error.
  `CLNValidationError`
  `errorNoEndSection()`
  Construct an error.
  `CLNValidationError`
  `errorOfException(CLNSectionReadableType section, Exception e)`
  Construct an error.
  `CLNValidationError`
  `errorOfException(CLNSectionReadableType section, Exception e, String message)`
  Construct an error.
  `CLNValidationError`
  `warn2DCompressedSizeZero(CLNSectionReadableImage2DType section, CLNImage2DDescription description)`
  Construct an error.
  `CLNValidationError`
  `warn2DImageOffsetZero(CLNSectionReadableImage2DType section)`
  Construct an error.
  `CLNValidationError`
  `warn2DUncompressedDataSizeMismatch(CLNSectionReadableImage2DType section, CLNImage2DDescription description)`
  Construct an error.
  `CLNValidationError`
  `warn2DUncompressedSizeZero(CLNSectionReadableImage2DType section, CLNImage2DDescription description)`
  Construct an error.
  `CLNValidationError`
  `warnArrayCompressedSizeZero(CLNSectionReadableImageArrayType section, CLNImageArrayDescription description)`
  Construct an error.
  `CLNValidationError`
  `warnArrayImageOffsetZero(CLNSectionReadableImageArrayType section)`
  Construct an error.
  `CLNValidationError`
  `warnArrayUncompressedDataSizeMismatch(CLNSectionReadableImageArrayType section, CLNImageArrayDescription description)`
  Construct an error.
  `CLNValidationError`
  `warnArrayUncompressedSizeZero(CLNSectionReadableImageArrayType section, CLNImageArrayDescription description)`
  Construct an error.
  `CLNValidationError`
  `warnCubeCompressedSizeZero(CLNSectionReadableImageCubeType section, CLNImageCubeDescription description)`
  Construct an error.
  `CLNValidationError`
  `warnCubeImageOffsetZero(CLNSectionReadableImageCubeType section)`
  Construct an error.
  `CLNValidationError`
  `warnCubeUncompressedDataSizeMismatch(CLNSectionReadableImageCubeType section, CLNImageCubeDescription description)`
  Construct an error.
  `CLNValidationError`
  `warnCubeUncompressedSizeZero(CLNSectionReadableImageCubeType section, CLNImageCubeDescription description)`
  Construct an error.
  `CLNValidationError`
  `warnEndSectionNotZeroSize(com.io7m.entomos.core.EoFileSection section)`
  Construct an error.
  `CLNValidationError`
  `warnSectionUnaligned(CLNFileSectionDescription section)`
  Construct an error.
  `CLNValidationError`
  `warnTrailingData(long offset, long octets)`
  Construct an error.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CLN2ValidationErrors

    public CLN2ValidationErrors(URI inSource, CLN2ValidationStrings inStrings)
    A factory of errors.
    Parameters:
      `inSource` - The source file
      `inStrings` - The error strings

- ## Method Details

  - ### errorOfException

    public CLNValidationError errorOfException(CLNSectionReadableType section, Exception e)
    Construct an error.
    Parameters:
      `section` - The section
      `e` - The exception
    Returns:
      An error

  - ### errorOfException

    public CLNValidationError errorOfException(CLNSectionReadableType section, Exception e, String message)
    Construct an error.
    Parameters:
      `section` - The section
      `e` - The exception
      `message` - The message
    Returns:
      An error

  - ### error2DCompressedDataSizeMismatch

    public CLNValidationError error2DCompressedDataSizeMismatch(CLNSectionReadableType section, CLNImage2DDescription mipMap, long sizeReceived)
    Construct an error.
    Parameters:
      `section` - The section
      `mipMap` - The mipMap
      `sizeReceived` - The received size
    Returns:
      An error

  - ### error2DUncompressedDataCRC32Mismatch

    public CLNValidationError error2DUncompressedDataCRC32Mismatch(CLNSectionReadableImage2DType section, CLNImage2DDescription mipMap, long crc32Received)
    Construct an error.
    Parameters:
      `section` - The section
      `mipMap` - The mipMap
      `crc32Received` - The CRC32
    Returns:
      An error

  - ### error2DExpectedSizeZ1

    public CLNValidationError error2DExpectedSizeZ1(CLNSectionReadableImageInfoType section, int sizeZ)
    Construct an error.
    Parameters:
      `section` - The section
      `sizeZ` - The Z size
    Returns:
      An error

  - ### error2DMipLevelDuplicate

    public CLNValidationError error2DMipLevelDuplicate(CLNSectionReadableImage2DType section, int level)
    Construct an error.
    Parameters:
      `section` - The section
      `level` - The level
    Returns:
      An error

  - ### error2DMipLevelGaps

    public CLNValidationError error2DMipLevelGaps(CLNSectionReadableImage2DType section, int mipHighest)
    Construct an error.
    Parameters:
      `section` - The section
      `mipHighest` - The highest mip level
    Returns:
      An error

  - ### errorImageDataNotPresent

    public CLNValidationError errorImageDataNotPresent()
    Construct an error.
    Returns:
      An error

  - ### errorArrayCompressedDataSizeMismatch

    public CLNValidationError errorArrayCompressedDataSizeMismatch(CLNSectionReadableType section, CLNImageArrayDescription mipMap, long sizeReceived)
    Construct an error.
    Parameters:
      `section` - The section
      `mipMap` - The mipMap
      `sizeReceived` - The received size
    Returns:
      An error

  - ### errorArrayUncompressedDataCRC32Mismatch

    public CLNValidationError errorArrayUncompressedDataCRC32Mismatch(CLNSectionReadableType section, CLNImageArrayDescription mipMap, long crc32Received)
    Construct an error.
    Parameters:
      `section` - The section
      `mipMap` - The mipMap
      `crc32Received` - The CRC32
    Returns:
      An error

  - ### errorImageInfoNotPresent

    public CLNValidationError errorImageInfoNotPresent()
    Construct an error.
    Returns:
      An error

  - ### errorArrayMipNotUnique

    public CLNValidationError errorArrayMipNotUnique(CLNSectionReadableImageArrayType section, int level, int layer)
    Construct an error.
    Parameters:
      `section` - The section
      `level` - The mip level
      `layer` - The layer
    Returns:
      An error

  - ### errorArrayMipLevelGaps

    public CLNValidationError errorArrayMipLevelGaps(CLNSectionReadableImageArrayType section, int mipHighest)
    Construct an error.
    Parameters:
      `section` - The section
      `mipHighest` - The highest mip level
    Returns:
      An error

  - ### errorArrayMipLayerGaps

    public CLNValidationError errorArrayMipLayerGaps(CLNSectionReadableImageArrayType section, int level, int layerHighest, Set<Integer> receivedLayers)
    Construct an error.
    Parameters:
      `section` - The section
      `level` - The mip level
      `layerHighest` - The highest layer
      `receivedLayers` - The received layers
    Returns:
      An error

  - ### errorArrayLayerCount

    public CLNValidationError errorArrayLayerCount(CLNSectionReadableImageArrayType section, int sizeZ, int layerHighest)
    Construct an error.
    Parameters:
      `section` - The section
      `sizeZ` - The declared Z size
      `layerHighest` - The mip level
    Returns:
      An error

  - ### warnArrayUncompressedDataSizeMismatch

    public CLNValidationError warnArrayUncompressedDataSizeMismatch(CLNSectionReadableImageArrayType section, CLNImageArrayDescription description)
    Construct an error.
    Parameters:
      `section` - The section
      `description` - The description
    Returns:
      An error

  - ### warn2DUncompressedDataSizeMismatch

    public CLNValidationError warn2DUncompressedDataSizeMismatch(CLNSectionReadableImage2DType section, CLNImage2DDescription description)
    Construct an error.
    Parameters:
      `section` - The section
      `description` - The description
    Returns:
      An error

  - ### warnArrayCompressedSizeZero

    public CLNValidationError warnArrayCompressedSizeZero(CLNSectionReadableImageArrayType section, CLNImageArrayDescription description)
    Construct an error.
    Parameters:
      `section` - The section
      `description` - The description
    Returns:
      An error

  - ### warn2DCompressedSizeZero

    public CLNValidationError warn2DCompressedSizeZero(CLNSectionReadableImage2DType section, CLNImage2DDescription description)
    Construct an error.
    Parameters:
      `section` - The section
      `description` - The description
    Returns:
      An error

  - ### warnArrayUncompressedSizeZero

    public CLNValidationError warnArrayUncompressedSizeZero(CLNSectionReadableImageArrayType section, CLNImageArrayDescription description)
    Construct an error.
    Parameters:
      `section` - The section
      `description` - The description
    Returns:
      An error

  - ### warn2DUncompressedSizeZero

    public CLNValidationError warn2DUncompressedSizeZero(CLNSectionReadableImage2DType section, CLNImage2DDescription description)
    Construct an error.
    Parameters:
      `section` - The section
      `description` - The description
    Returns:
      An error

  - ### error2DNoMipmaps

    public CLNValidationError error2DNoMipmaps(CLNSectionReadableImage2DType section)
    Construct an error.
    Parameters:
      `section` - The section
    Returns:
      An error

  - ### errorArrayNoMipmaps

    public CLNValidationError errorArrayNoMipmaps(CLNSectionReadableImageArrayType section)
    Construct an error.
    Parameters:
      `section` - The section
    Returns:
      An error

  - ### errorCubeNoMipmaps

    public CLNValidationError errorCubeNoMipmaps(CLNSectionReadableImageCubeType section)
    Construct an error.
    Parameters:
      `section` - The section
    Returns:
      An error

  - ### warnSectionUnaligned

    public CLNValidationError warnSectionUnaligned(CLNFileSectionDescription section)
    Construct an error.
    Parameters:
      `section` - The section
    Returns:
      An error

  - ### warnEndSectionNotZeroSize

    public CLNValidationError warnEndSectionNotZeroSize(com.io7m.entomos.core.EoFileSection section)
    Construct an error.
    Parameters:
      `section` - The section
    Returns:
      An error

  - ### errorNoEndSection

    public CLNValidationError errorNoEndSection()
    Construct an error.
    Returns:
      An error

  - ### warnArrayImageOffsetZero

    public CLNValidationError warnArrayImageOffsetZero(CLNSectionReadableImageArrayType section)
    Construct an error.
    Parameters:
      `section` - The section
    Returns:
      An error

  - ### warn2DImageOffsetZero

    public CLNValidationError warn2DImageOffsetZero(CLNSectionReadableImage2DType section)
    Construct an error.
    Parameters:
      `section` - The section
    Returns:
      An error

  - ### warnTrailingData

    public CLNValidationError warnTrailingData(long offset, long octets)
    Construct an error.
    Parameters:
      `offset` - The offset of the data
      `octets` - The octets
    Returns:
      An error

  - ### errorCubeExpectedSizeZ1

    public CLNValidationError errorCubeExpectedSizeZ1(CLNSectionReadableImageInfoType section, int sizeZ)
    Construct an error.
    Parameters:
      `section` - The section
      `sizeZ` - The Z size
    Returns:
      An error

  - ### errorCubeMipLevelDuplicate

    public CLNValidationError errorCubeMipLevelDuplicate(CLNSectionReadableImageCubeType section, int level)
    Construct an error.
    Parameters:
      `section` - The section
      `level` - The level
    Returns:
      An error

  - ### errorCubeMipLevelGaps

    public CLNValidationError errorCubeMipLevelGaps(CLNSectionReadableImageCubeType section, int level)
    Construct an error.
    Parameters:
      `section` - The section
      `level` - The level
    Returns:
      An error

  - ### errorCubeMipFaceMissing

    public CLNValidationError errorCubeMipFaceMissing(CLNSectionReadableImageCubeType section, int level, CLNCubeFace face)
    Construct an error.
    Parameters:
      `section` - The section
      `level` - The level
      `face` - The cube face
    Returns:
      An error

  - ### warnCubeUncompressedSizeZero

    public CLNValidationError warnCubeUncompressedSizeZero(CLNSectionReadableImageCubeType section, CLNImageCubeDescription description)
    Construct an error.
    Parameters:
      `section` - The section
      `description` - The description
    Returns:
      An error

  - ### warnCubeCompressedSizeZero

    public CLNValidationError warnCubeCompressedSizeZero(CLNSectionReadableImageCubeType section, CLNImageCubeDescription description)
    Construct an error.
    Parameters:
      `section` - The section
      `description` - The description
    Returns:
      An error

  - ### warnCubeImageOffsetZero

    public CLNValidationError warnCubeImageOffsetZero(CLNSectionReadableImageCubeType section)
    Construct an error.
    Parameters:
      `section` - The section
    Returns:
      An error

  - ### warnCubeUncompressedDataSizeMismatch

    public CLNValidationError warnCubeUncompressedDataSizeMismatch(CLNSectionReadableImageCubeType section, CLNImageCubeDescription description)
    Construct an error.
    Parameters:
      `section` - The section
      `description` - The description
    Returns:
      An error

  - ### errorCubeCompressedDataSizeMismatch

    public CLNValidationError errorCubeCompressedDataSizeMismatch(CLNSectionReadableImageCubeType section, CLNImageCubeDescription mipMap, long sizeReceived)
    Construct an error.
    Parameters:
      `section` - The section
      `mipMap` - The description
      `sizeReceived` - The received size
    Returns:
      An error

  - ### errorCubeUncompressedDataCRC32Mismatch

    public CLNValidationError errorCubeUncompressedDataCRC32Mismatch(CLNSectionReadableType section, CLNImageCubeDescription mipMap, long crc32Received)
    Construct an error.
    Parameters:
      `section` - The section
      `mipMap` - The mipMap
      `crc32Received` - The CRC32
    Returns:
      An error